Page MenuHomePhabricator

need to figure out how to redirect mail for a particular rt queue
Closed, ResolvedPublic

Description

Example: emailing maintenance@rt.wikimedia.org gets translated to maintenance@phab.wm.o

Event Timeline

chasemp created this task.Oct 16 2014, 8:24 PM
chasemp assigned this task to Dzahn.
chasemp raised the priority of this task from to Needs Triage.
chasemp updated the task description. (Show Details)
chasemp changed Security from none to None.
chasemp added a subscriber: chasemp.
Byfserag triaged this task as Low priority.Oct 17 2014, 11:17 AM
Byfserag added a subscriber: Byfserag.

i hear this is supposed to happen on the phab host itself rather than in global exim aliases

eh.. or on the RT host itself before/if we dont switch DNS over

..because it is a subdomain of wikimedia.org, rt.wikimedia.org

@Chase : on magnesium, create a new file in /etc/exim4/aliases/ called "rt.wikimedia.org", then just alias lines like:

maintenance: maintenance@phabricator.wikimedia.org

?

i tested a bit. so this is works:

on magnesium, add to /etc/aliases (not /etc/exim4/aliases/foo), it is configured like this:

"# Use the system aliasfile /etc/aliases for system domains" and rt.wikimedia.org is a system domain

i temp. put my own email address there as an alias for the unused legal queue, then sent a mail to the RT queue from zirconium.

magnesium delivered it to polonium and i received it just fine. (i got a permission error that i cant create tickets in that queue, but that is not what we are testing :)

so we can just add aliases there to forward some queues over to whatever@phabricator.wikimedia.org

Dzahn added a comment.Oct 29 2014, 2:02 AM

updated again. using the native puppet type mailalias now. and merged ... see on gerrit

Dzahn mentioned this in Unknown Object (Diffusion Commit).Nov 15 2014, 1:05 AM
Dzahn closed this task as Resolved.Dec 10 2014, 2:25 PM

https://gerrit.wikimedia.org/r/#/c/168733/7 was a prerequisite, now aliases for a specific queue can be added by a simple puppet change. calling this resolved

Dzahn mentioned this in Unknown Object (Diffusion Commit).Dec 10 2014, 8:37 PM